# windows and tiling
general {
    gaps_in = 2.5
    gaps_out = 5

    border_size = 1

    col.active_border = rgba(00ffd2ee) rgba(004687ee) 45deg
    col.inactive_border = rgba(00ffd2aa)

    resize_on_border = true
    allow_tearing = true
    layout = master
    hover_icon_on_border = true
    snap {
        enabled = true
    }
}

scrolling {
        column_width = 0.7
        focus_fit_method = 0
}

dwindle {
        smart_split = true
}

decoration {
    rounding = 5
    rounding_power = 10
    active_opacity = 1
    inactive_opacity = 1
    fullscreen_opacity = 1
    border_part_of_window = true 
    
    blur {
        enabled = false
	ignore_opacity = true
        size = 1
        passes = 1
        new_optimizations = true
        brightness = 0.5
    }
    shadow {
        enabled = false
    }
}

animations {
    enabled = false
    bezier = custom,0.13, 1, 0.75,1

    animation = windows, 1, 3, custom, popin
    animation = windowsOut, 1, 3, custom, popin 80%
    animation = border, 1, 10, default
    animation = borderangle, 1, 8, default
    animation = fade, 1, 7, default
    animation = workspaces, 1, 3, default
    animation = windowsMove, 1, 2.5, custom, slide
}
cursor {
	inactive_timeout = 3
	no_hardware_cursors = 0
	use_cpu_buffer = true
	persistent_warps = true
}
